GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
parsing.c File Reference
`#include "src/core/transport/chttp2/internal.h"`
`#include <string.h>`
`#include "src/core/transport/chttp2/http2_errors.h"`
`#include "src/core/transport/chttp2/status_conversion.h"`
`#include "src/core/transport/chttp2/timeout_encoding.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`

## Functions
void | grpc_chttp2_prepare_to_read (grpc_chttp2_transport_global *transport_global, grpc_chttp2_transport_parsing *transport_parsing)
void | grpc_chttp2_publish_reads (grpc_chttp2_transport_global *transport_global, grpc_chttp2_transport_parsing *transport_parsing)
int | grpc_chttp2_perform_read (grpc_chttp2_transport_parsing *transport_parsing, gpr_slice slice)
| Process one slice of incoming data; return 1 if the connection is still viable after reading, or 0 if the connection should be torn down. More...
void | grpc_chttp2_parsing_become_skip_parser (grpc_chttp2_transport_parsing *transport_parsing)

## Function Documentation

void grpc_chttp2_parsing_become_skip_parser | ( | grpc_chttp2_transport_parsing * | transport_parsing | ) |

int grpc_chttp2_perform_read | ( | grpc_chttp2_transport_parsing * | transport_parsing,
|  | gpr_slice | slice
| ) |  |

Process one slice of incoming data; return 1 if the connection is still viable after reading, or 0 if the connection should be torn down.

void grpc_chttp2_prepare_to_read | ( | grpc_chttp2_transport_global * | transport_global,
|  | grpc_chttp2_transport_parsing * | transport_parsing
| ) |  |

void grpc_chttp2_publish_reads | ( | grpc_chttp2_transport_global * | transport_global,
|  | grpc_chttp2_transport_parsing * | transport_parsing
| ) |  |